org.jgroups.util

## Class Tuple<V1,V2>

- java.lang.Object
- - org.jgroups.util.Tuple<V1,V2>

-     public class Tuple<V1,V2>
      extends java.lang.Object

  Holds 2 values, useful when we have a map with a key, but more than 1 value and we don't want to create a separate holder object for the values, and don't want to pass the values as a list or array.
  Author:
    Bela Ban

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tuple(V1 val1, V2 val2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `V1` | `getVal1()`
    `V2` | `getVal2()`
    `void` | `setVal1(V1 val1)`
    `void` | `setVal2(V2 val2)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Tuple

          public Tuple(V1 val1,
               V2 val2)

  - ### Method Detail

    - #### getVal1

          public V1 getVal1()

    - #### setVal1

          public void setVal1(V1 val1)

    - #### getVal2

          public V2 getVal2()

    - #### setVal2

          public void setVal2(V2 val2)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.